<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\FilterTeilnehmer;

class FilterTeilnehmerView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/zsa_teilnehmeruebersicht/filter_teilnehmer.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $dm = new \Datamodul();
    foreach (get_object_vars($this->viewModel) as $key => $value) {
      $dm->{$key} = $value;
    }

    return array($dm);
  }
}

class FilterTeilnehmerViewModel
{
  public $name;
  public $ds;
  public $status;

  public $dsOptionen;
  public $zbOptionen;
  public $statusOptionen;
}